<header>
  <mat-toolbar color="primary">
    <span>System Statistics</span>
  </mat-toolbar>
</header>

<main class="main-wrapper">
  <p>Note: the data is refreshed every {{requestsIntervalInMs}}ms</p>

  <section>
      <h1>Processors</h1>

      <ng-container *ngIf="mpstatStatistics$ && mpstatStatistics$ | async as mpstatStatistics; else loader">
        <div *ngFor="let host of mpstatStatistics.sysstat.hosts">
          <app-host-card class="host-card" [host]="host"></app-host-card>
          <app-mpstat-table [statistics]="host.statistics"></app-mpstat-table>
        </div>
      </ng-container>

      <ng-template #loader>
        <p>No data to show yet</p>
      </ng-template>
  </section>

  <section>
    <h1>I/O devices</h1>

    <ng-container *ngIf="iostatStatistics$ && iostatStatistics$ | async as iostatStatistics; else loader">
      <div *ngFor="let host of iostatStatistics.sysstat.hosts">
        <app-host-card class="host-card" [host]="host"></app-host-card>
        <app-iostat-table [statistics]="host.statistics"></app-iostat-table>
      </div>
    </ng-container>

    <ng-template #loader>
      <p>No data to show yet</p>
    </ng-template>
  </section>

</main>
